DatabaseDescriptor (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.config

## Class DatabaseDescriptor

- java.lang.Object
- - org.apache.cassandra.config.DatabaseDescriptor

-     public class DatabaseDescriptor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseDescriptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createAllDirectories()` Creates all storage-related directories.
    `static java.lang.String[]` | `getAllDataFileLocations()`
    `static IAuthenticator` | `getAuthenticator()`
    `static IAuthorizer` | `getAuthorizer()`
    `static int` | `getBatchlogReplayThrottleInKB()`
    `static int` | `getBatchSizeWarnThreshold()`
    `static java.net.InetAddress` | `getBroadcastAddress()`
    `static java.net.InetAddress` | `getBroadcastRpcAddress()`
    `static long` | `getCasContentionTimeout()`
    `static EncryptionOptions.ClientEncryptionOptions` | `getClientEncryptionOptions()`
    `static java.lang.String` | `getClusterName()`
    `static int` | `getColumnIndexSize()`
    `static Config.CommitFailurePolicy` | `getCommitFailurePolicy()`
    `static java.lang.String` | `getCommitLogLocation()`
    `static int` | `getCommitLogPeriodicQueueSize()`
    `static int` | `getCommitLogSegmentSize()` size of commitlog segments to allocate
    `static Config.CommitLogSync` | `getCommitLogSync()`
    `static double` | `getCommitLogSyncBatchWindow()`
    `static int` | `getCommitLogSyncPeriod()`
    `static int` | `getCompactionThroughputMbPerSec()`
    `static int` | `getConcurrentCompactors()`
    `static int` | `getConcurrentCounterWriters()`
    `static int` | `getConcurrentReaders()`
    `static int` | `getConcurrentWriters()`
    `static int` | `getCounterCacheKeysToSave()`
    `static int` | `getCounterCacheSavePeriod()`
    `static long` | `getCounterCacheSizeInMB()`
    `static long` | `getCounterWriteRpcTimeout()`
    `static boolean` | `getDisableSTCSInL0()`
    `static Config.DiskAccessMode` | `getDiskAccessMode()`
    `static Config.DiskFailurePolicy` | `getDiskFailurePolicy()`
    `static double` | `getDynamicBadnessThreshold()`
    `static int` | `getDynamicResetInterval()`
    `static int` | `getDynamicUpdateInterval()`
    `static IEndpointSnitch` | `getEndpointSnitch()`
    `static int` | `getFileCacheSizeInMB()`
    `static int` | `getFlushWriters()`
    `static int` | `getHintedHandoffThrottleInKB()`
    `static Config.DiskAccessMode` | `getIndexAccessMode()`
    `static java.lang.Integer` | `getIndexInterval()` Deprecated.
    `static long` | `getIndexSummaryCapacityInMB()`
    `static int` | `getIndexSummaryResizeIntervalInMinutes()`
    `static java.util.Collection<java.lang.String>` | `getInitialTokens()`
    `static int` | `getInterDCStreamThroughputOutboundMegabitsPerSec()`
    `static boolean` | `getInterDCTcpNoDelay()`
    `static IInternodeAuthenticator` | `getInternodeAuthenticator()`
    `static java.lang.Integer` | `getInternodeRecvBufferSize()`
    `static java.lang.Integer` | `getInternodeSendBufferSize()`
    `static int` | `getKeyCacheKeysToSave()`
    `static int` | `getKeyCacheSavePeriod()`
    `static long` | `getKeyCacheSizeInMB()`
    `static java.net.InetAddress` | `getListenAddress()`
    `static java.util.Comparator<java.net.InetAddress>` | `getLocalComparator()`
    `static java.lang.String` | `getLocalDataCenter()`
    `static int` | `getMaxHintsThread()`
    `static int` | `getMaxHintWindow()`
    `static int` | `getMaxStreamingRetries()`
    `static MemtablePool` | `getMemtableAllocatorPool()`
    `static long` | `getMinRpcTimeout()`
    `static int` | `getNativeTransportMaxFrameSize()`
    `static java.lang.Integer` | `getNativeTransportMaxThreads()`
    `static int` | `getNativeTransportPort()`
    `static java.lang.Integer` | `getNumTokens()`
    `static IAllocator` | `getoffHeapMemoryAllocator()`
    `static IPartitioner<?>` | `getPartitioner()`
    `static java.lang.String` | `getPartitionerName()`
    `static int` | `getPermissionsValidity()`
    `static double` | `getPhiConvictThreshold()`
    `static long` | `getRangeRpcTimeout()`
    `static long` | `getReadRpcTimeout()`
    `static java.net.InetAddress` | `getReplaceAddress()`
    `static java.util.UUID` | `getReplaceNode()`
    `static java.util.Collection<java.lang.String>` | `getReplaceTokens()`
    `static IRequestScheduler` | `getRequestScheduler()`
    `static Config.RequestSchedulerId` | `getRequestSchedulerId()`
    `static RequestSchedulerOptions` | `getRequestSchedulerOptions()`
    `static int` | `getRowCacheKeysToSave()`
    `static int` | `getRowCacheSavePeriod()`
    `static long` | `getRowCacheSizeInMB()`
    `static java.net.InetAddress` | `getRpcAddress()`
    `static boolean` | `getRpcKeepAlive()`
    `static int` | `getRpcListenBacklog()`
    `static java.lang.Integer` | `getRpcMaxThreads()`
    `static java.lang.Integer` | `getRpcMinThreads()`
    `static int` | `getRpcPort()`
    `static java.lang.Integer` | `getRpcRecvBufferSize()`
    `static java.lang.Integer` | `getRpcSendBufferSize()`
    `static java.lang.String` | `getRpcServerType()`
    `static long` | `getRpcTimeout()`
    `static java.lang.String` | `getSavedCachesLocation()`
    `static java.util.Set<java.net.InetAddress>` | `getSeeds()`
    `static java.io.File` | `getSerializedCachePath(java.lang.String ksName, java.lang.String cfName, java.util.UUID cfId, CacheService.CacheType cacheType, java.lang.String version)`
    `static EncryptionOptions.ServerEncryptionOptions` | `getServerEncryptionOptions()`
    `static int` | `getSSLStoragePort()`
    `static int` | `getSSTablePreempiveOpenIntervalInMB()`
    `static int` | `getStoragePort()`
    `static int` | `getStreamingSocketTimeout()`
    `static int` | `getStreamThroughputOutboundMegabitsPerSec()`
    `static int` | `getThriftFramedTransportSize()`
    `static long` | `getTimeout(MessagingService.Verb verb)`
    `static int` | `getTombstoneFailureThreshold()`
    `static int` | `getTombstoneWarnThreshold()`
    `static long` | `getTotalCommitlogSpaceInMB()`
    `static boolean` | `getTrickleFsync()`
    `static int` | `getTrickleFsyncIntervalInKb()`
    `static long` | `getTruncateRpcTimeout()`
    `static long` | `getWriteRpcTimeout()`
    `static boolean` | `hasCrossNodeTimeout()`
    `static boolean` | `hasLargeAddressSpace()`
    `static boolean` | `hintedHandoffEnabled()`
    `static boolean` | `hintedHandoffEnabled(java.lang.String dcName)`
    `static java.util.Set<java.lang.String>` | `hintedHandoffEnabledByDC()`
    `static Config.InternodeCompression` | `internodeCompression()`
    `static boolean` | `isAutoBootstrap()`
    `static boolean` | `isAutoSnapshot()`
    `static boolean` | `isIncrementalBackupsEnabled()`
    `static boolean` | `isReplacing()`
    `static boolean` | `isSnapshotBeforeCompaction()`
    `static Config` | `loadConfig()`
    `static void` | `loadSchemas()` load keyspace (keyspace) definitions, but do not initialize the keyspace instances.
    `static void` | `setAutoSnapshot(boolean autoSnapshot)`
    `static void` | `setBroadcastAddress(java.net.InetAddress broadcastAdd)`
    `static void` | `setBroadcastRpcAddress(java.net.InetAddress broadcastRPCAddr)`
    `static void` | `setCasContentionTimeout(java.lang.Long timeOutInMillis)`
    `static void` | `setCommitFailurePolicy(Config.CommitFailurePolicy policy)`
    `static void` | `setCompactionThroughputMbPerSec(int value)`
    `static void` | `setCounterCacheKeysToSave(int counterCacheKeysToSave)`
    `static void` | `setCounterCacheSavePeriod(int counterCacheSavePeriod)`
    `static void` | `setCounterWriteRpcTimeout(java.lang.Long timeOutInMillis)`
    `static void` | `setDiskFailurePolicy(Config.DiskFailurePolicy policy)`
    `static void` | `setDynamicBadnessThreshold(java.lang.Double dynamicBadnessThreshold)`
    `static void` | `setDynamicResetInterval(java.lang.Integer dynamicResetInterval)`
    `static void` | `setDynamicUpdateInterval(java.lang.Integer dynamicUpdateInterval)`
    `static void` | `setEndpointSnitch(IEndpointSnitch eps)`
    `static void` | `setHintedHandoffEnabled(boolean hintedHandoffEnabled)`
    `static void` | `setHintedHandoffEnabled(java.lang.String dcNames)`
    `static void` | `setHintedHandoffThrottleInKB(java.lang.Integer throttleInKB)`
    `static void` | `setIncrementalBackupsEnabled(boolean value)`
    `static void` | `setInterDCStreamThroughputOutboundMegabitsPerSec(int value)`
    `static void` | `setKeyCacheKeysToSave(int keyCacheKeysToSave)`
    `static void` | `setKeyCacheSavePeriod(int keyCacheSavePeriod)`
    `static void` | `setMaxHintWindow(int ms)`
    `static void` | `setPartitioner(IPartitioner<?> newPartitioner)`
    `static void` | `setPermissionsValidity(int timeout)`
    `static void` | `setPhiConvictThreshold(double phiConvictThreshold)`
    `static void` | `setRangeRpcTimeout(java.lang.Long timeOutInMillis)`
    `static void` | `setReadRpcTimeout(java.lang.Long timeOutInMillis)`
    `static void` | `setRowCacheKeysToSave(int rowCacheKeysToSave)`
    `static void` | `setRowCacheSavePeriod(int rowCacheSavePeriod)`
    `static void` | `setRpcTimeout(java.lang.Long timeOutInMillis)`
    `static void` | `setStreamThroughputOutboundMegabitsPerSec(int value)`
    `static void` | `setTombstoneFailureThreshold(int threshold)`
    `static void` | `setTombstoneWarnThreshold(int threshold)`
    `static void` | `setTruncateRpcTimeout(java.lang.Long timeOutInMillis)`
    `static void` | `setWriteRpcTimeout(java.lang.Long timeOutInMillis)`
    `static boolean` | `shouldHintByDC()`
    `static boolean` | `startNativeTransport()`
    `static boolean` | `startRpc()`
    `static java.util.Collection<java.lang.String>` | `tokensFromString(java.lang.String tokenString)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseDescriptor

          public DatabaseDescriptor()

  - ### Method Detail

    - #### loadConfig

          public static Config loadConfig()
                                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### loadSchemas

          public static void loadSchemas()

      load keyspace (keyspace) definitions, but do not initialize the keyspace instances.

    - #### getAuthenticator

          public static IAuthenticator getAuthenticator()

    - #### getAuthorizer

          public static IAuthorizer getAuthorizer()

    - #### getPermissionsValidity

          public static int getPermissionsValidity()

    - #### setPermissionsValidity

          public static void setPermissionsValidity(int timeout)

    - #### getThriftFramedTransportSize

          public static int getThriftFramedTransportSize()

    - #### createAllDirectories

          public static void createAllDirectories()

      Creates all storage-related directories.

    - #### getPartitioner

          public static IPartitioner<?> getPartitioner()

    - #### getPartitionerName

          public static java.lang.String getPartitionerName()

    - #### setPartitioner

          public static void setPartitioner(IPartitioner<?> newPartitioner)

    - #### getEndpointSnitch

          public static IEndpointSnitch getEndpointSnitch()

    - #### setEndpointSnitch

          public static void setEndpointSnitch(IEndpointSnitch eps)

    - #### getRequestScheduler

          public static IRequestScheduler getRequestScheduler()

    - #### getRequestSchedulerOptions

          public static RequestSchedulerOptions getRequestSchedulerOptions()

    - #### getRequestSchedulerId

          public static Config.RequestSchedulerId getRequestSchedulerId()

    - #### getColumnIndexSize

          public static int getColumnIndexSize()

    - #### getBatchSizeWarnThreshold

          public static int getBatchSizeWarnThreshold()

    - #### getInitialTokens

          public static java.util.Collection<java.lang.String> getInitialTokens()

    - #### tokensFromString

          public static java.util.Collection<java.lang.String> tokensFromString(java.lang.String tokenString)

    - #### getNumTokens

          public static java.lang.Integer getNumTokens()

    - #### getReplaceAddress

          public static java.net.InetAddress getReplaceAddress()

    - #### getReplaceTokens

          public static java.util.Collection<java.lang.String> getReplaceTokens()

    - #### getReplaceNode

          public static java.util.UUID getReplaceNode()

    - #### isReplacing

          public static boolean isReplacing()

    - #### getClusterName

          public static java.lang.String getClusterName()

    - #### getMaxStreamingRetries

          public static int getMaxStreamingRetries()

    - #### getStoragePort

          public static int getStoragePort()

    - #### getSSLStoragePort

          public static int getSSLStoragePort()

    - #### getRpcPort

          public static int getRpcPort()

    - #### getRpcListenBacklog

          public static int getRpcListenBacklog()

    - #### getRpcTimeout

          public static long getRpcTimeout()

    - #### setRpcTimeout

          public static void setRpcTimeout(java.lang.Long timeOutInMillis)

    - #### getReadRpcTimeout

          public static long getReadRpcTimeout()

    - #### setReadRpcTimeout

          public static void setReadRpcTimeout(java.lang.Long timeOutInMillis)

    - #### getRangeRpcTimeout

          public static long getRangeRpcTimeout()

    - #### setRangeRpcTimeout

          public static void setRangeRpcTimeout(java.lang.Long timeOutInMillis)

    - #### getWriteRpcTimeout

          public static long getWriteRpcTimeout()

    - #### setWriteRpcTimeout

          public static void setWriteRpcTimeout(java.lang.Long timeOutInMillis)

    - #### getCounterWriteRpcTimeout

          public static long getCounterWriteRpcTimeout()

    - #### setCounterWriteRpcTimeout

          public static void setCounterWriteRpcTimeout(java.lang.Long timeOutInMillis)

    - #### getCasContentionTimeout

          public static long getCasContentionTimeout()

    - #### setCasContentionTimeout

          public static void setCasContentionTimeout(java.lang.Long timeOutInMillis)

    - #### getTruncateRpcTimeout

          public static long getTruncateRpcTimeout()

    - #### setTruncateRpcTimeout

          public static void setTruncateRpcTimeout(java.lang.Long timeOutInMillis)

    - #### hasCrossNodeTimeout

          public static boolean hasCrossNodeTimeout()

    - #### getTimeout

          public static long getTimeout(MessagingService.Verb verb)

    - #### getMinRpcTimeout

          public static long getMinRpcTimeout()

      Returns:
        the minimum configured {read, write, range, truncate, misc} timeout

    - #### getPhiConvictThreshold

          public static double getPhiConvictThreshold()

    - #### setPhiConvictThreshold

          public static void setPhiConvictThreshold(double phiConvictThreshold)

    - #### getConcurrentReaders

          public static int getConcurrentReaders()

    - #### getConcurrentWriters

          public static int getConcurrentWriters()

    - #### getConcurrentCounterWriters

          public static int getConcurrentCounterWriters()

    - #### getFlushWriters

          public static int getFlushWriters()

    - #### getConcurrentCompactors

          public static int getConcurrentCompactors()

    - #### getCompactionThroughputMbPerSec

          public static int getCompactionThroughputMbPerSec()

    - #### setCompactionThroughputMbPerSec

          public static void setCompactionThroughputMbPerSec(int value)

    - #### getDisableSTCSInL0

          public static boolean getDisableSTCSInL0()

    - #### getStreamThroughputOutboundMegabitsPerSec

          public static int getStreamThroughputOutboundMegabitsPerSec()

    - #### setStreamThroughputOutboundMegabitsPerSec

          public static void setStreamThroughputOutboundMegabitsPerSec(int value)

    - #### getInterDCStreamThroughputOutboundMegabitsPerSec

          public static int getInterDCStreamThroughputOutboundMegabitsPerSec()

    - #### setInterDCStreamThroughputOutboundMegabitsPerSec

          public static void setInterDCStreamThroughputOutboundMegabitsPerSec(int value)

    - #### getAllDataFileLocations

          public static java.lang.String[] getAllDataFileLocations()

    - #### getCommitLogLocation

          public static java.lang.String getCommitLogLocation()

    - #### getTombstoneWarnThreshold

          public static int getTombstoneWarnThreshold()

    - #### setTombstoneWarnThreshold

          public static void setTombstoneWarnThreshold(int threshold)

    - #### getTombstoneFailureThreshold

          public static int getTombstoneFailureThreshold()

    - #### setTombstoneFailureThreshold

          public static void setTombstoneFailureThreshold(int threshold)

    - #### getCommitLogSegmentSize

          public static int getCommitLogSegmentSize()

      size of commitlog segments to allocate

    - #### getSavedCachesLocation

          public static java.lang.String getSavedCachesLocation()

    - #### getSeeds

          public static java.util.Set<java.net.InetAddress> getSeeds()

    - #### getListenAddress

          public static java.net.InetAddress getListenAddress()

    - #### getBroadcastAddress

          public static java.net.InetAddress getBroadcastAddress()

    - #### getInternodeAuthenticator

          public static IInternodeAuthenticator getInternodeAuthenticator()

    - #### setBroadcastAddress

          public static void setBroadcastAddress(java.net.InetAddress broadcastAdd)

    - #### startRpc

          public static boolean startRpc()

    - #### getRpcAddress

          public static java.net.InetAddress getRpcAddress()

    - #### setBroadcastRpcAddress

          public static void setBroadcastRpcAddress(java.net.InetAddress broadcastRPCAddr)

    - #### getBroadcastRpcAddress

          public static java.net.InetAddress getBroadcastRpcAddress()

    - #### getRpcServerType

          public static java.lang.String getRpcServerType()

    - #### getRpcKeepAlive

          public static boolean getRpcKeepAlive()

    - #### getRpcMinThreads

          public static java.lang.Integer getRpcMinThreads()

    - #### getRpcMaxThreads

          public static java.lang.Integer getRpcMaxThreads()

    - #### getRpcSendBufferSize

          public static java.lang.Integer getRpcSendBufferSize()

    - #### getRpcRecvBufferSize

          public static java.lang.Integer getRpcRecvBufferSize()

    - #### getInternodeSendBufferSize

          public static java.lang.Integer getInternodeSendBufferSize()

    - #### getInternodeRecvBufferSize

          public static java.lang.Integer getInternodeRecvBufferSize()

    - #### startNativeTransport

          public static boolean startNativeTransport()

    - #### getNativeTransportPort

          public static int getNativeTransportPort()

    - #### getNativeTransportMaxThreads

          public static java.lang.Integer getNativeTransportMaxThreads()

    - #### getNativeTransportMaxFrameSize

          public static int getNativeTransportMaxFrameSize()

    - #### getCommitLogSyncBatchWindow

          public static double getCommitLogSyncBatchWindow()

    - #### getCommitLogSyncPeriod

          public static int getCommitLogSyncPeriod()

    - #### getCommitLogPeriodicQueueSize

          public static int getCommitLogPeriodicQueueSize()

    - #### getCommitLogSync

          public static Config.CommitLogSync getCommitLogSync()

    - #### getDiskAccessMode

          public static Config.DiskAccessMode getDiskAccessMode()

    - #### getIndexAccessMode

          public static Config.DiskAccessMode getIndexAccessMode()

    - #### setDiskFailurePolicy

          public static void setDiskFailurePolicy(Config.DiskFailurePolicy policy)

    - #### getDiskFailurePolicy

          public static Config.DiskFailurePolicy getDiskFailurePolicy()

    - #### setCommitFailurePolicy

          public static void setCommitFailurePolicy(Config.CommitFailurePolicy policy)

    - #### getCommitFailurePolicy

          public static Config.CommitFailurePolicy getCommitFailurePolicy()

    - #### isSnapshotBeforeCompaction

          public static boolean isSnapshotBeforeCompaction()

    - #### isAutoSnapshot

          public static boolean isAutoSnapshot()

    - #### setAutoSnapshot

          public static void setAutoSnapshot(boolean autoSnapshot)

    - #### isAutoBootstrap

          public static boolean isAutoBootstrap()

    - #### setHintedHandoffEnabled

          public static void setHintedHandoffEnabled(boolean hintedHandoffEnabled)

    - #### setHintedHandoffEnabled

          public static void setHintedHandoffEnabled(java.lang.String dcNames)

    - #### hintedHandoffEnabled

          public static boolean hintedHandoffEnabled()

    - #### hintedHandoffEnabledByDC

          public static java.util.Set<java.lang.String> hintedHandoffEnabledByDC()

    - #### shouldHintByDC

          public static boolean shouldHintByDC()

    - #### hintedHandoffEnabled

          public static boolean hintedHandoffEnabled(java.lang.String dcName)

    - #### setMaxHintWindow

          public static void setMaxHintWindow(int ms)

    - #### getMaxHintWindow

          public static int getMaxHintWindow()

    - #### getIndexInterval

          @Deprecated
          public static java.lang.Integer getIndexInterval()

      Deprecated.

    - #### getSerializedCachePath

          public static java.io.File getSerializedCachePath(java.lang.String ksName,
                                            java.lang.String cfName,
                                            java.util.UUID cfId,
                                            CacheService.CacheType cacheType,
                                            java.lang.String version)

    - #### getDynamicUpdateInterval

          public static int getDynamicUpdateInterval()

    - #### setDynamicUpdateInterval

          public static void setDynamicUpdateInterval(java.lang.Integer dynamicUpdateInterval)

    - #### getDynamicResetInterval

          public static int getDynamicResetInterval()

    - #### setDynamicResetInterval

          public static void setDynamicResetInterval(java.lang.Integer dynamicResetInterval)

    - #### getDynamicBadnessThreshold

          public static double getDynamicBadnessThreshold()

    - #### setDynamicBadnessThreshold

          public static void setDynamicBadnessThreshold(java.lang.Double dynamicBadnessThreshold)

    - #### getServerEncryptionOptions

          public static EncryptionOptions.ServerEncryptionOptions getServerEncryptionOptions()

    - #### getClientEncryptionOptions

          public static EncryptionOptions.ClientEncryptionOptions getClientEncryptionOptions()

    - #### getHintedHandoffThrottleInKB

          public static int getHintedHandoffThrottleInKB()

    - #### getBatchlogReplayThrottleInKB

          public static int getBatchlogReplayThrottleInKB()

    - #### setHintedHandoffThrottleInKB

          public static void setHintedHandoffThrottleInKB(java.lang.Integer throttleInKB)

    - #### getMaxHintsThread

          public static int getMaxHintsThread()

    - #### isIncrementalBackupsEnabled

          public static boolean isIncrementalBackupsEnabled()

    - #### setIncrementalBackupsEnabled

          public static void setIncrementalBackupsEnabled(boolean value)

    - #### getFileCacheSizeInMB

          public static int getFileCacheSizeInMB()

    - #### getTotalCommitlogSpaceInMB

          public static long getTotalCommitlogSpaceInMB()

    - #### getSSTablePreempiveOpenIntervalInMB

          public static int getSSTablePreempiveOpenIntervalInMB()

    - #### getTrickleFsync

          public static boolean getTrickleFsync()

    - #### getTrickleFsyncIntervalInKb

          public static int getTrickleFsyncIntervalInKb()

    - #### getKeyCacheSizeInMB

          public static long getKeyCacheSizeInMB()

    - #### getIndexSummaryCapacityInMB

          public static long getIndexSummaryCapacityInMB()

    - #### getKeyCacheSavePeriod

          public static int getKeyCacheSavePeriod()

    - #### setKeyCacheSavePeriod

          public static void setKeyCacheSavePeriod(int keyCacheSavePeriod)

    - #### getKeyCacheKeysToSave

          public static int getKeyCacheKeysToSave()

    - #### setKeyCacheKeysToSave

          public static void setKeyCacheKeysToSave(int keyCacheKeysToSave)

    - #### getRowCacheSizeInMB

          public static long getRowCacheSizeInMB()

    - #### getRowCacheSavePeriod

          public static int getRowCacheSavePeriod()

    - #### setRowCacheSavePeriod

          public static void setRowCacheSavePeriod(int rowCacheSavePeriod)

    - #### getRowCacheKeysToSave

          public static int getRowCacheKeysToSave()

    - #### getCounterCacheSizeInMB

          public static long getCounterCacheSizeInMB()

    - #### getCounterCacheSavePeriod

          public static int getCounterCacheSavePeriod()

    - #### setCounterCacheSavePeriod

          public static void setCounterCacheSavePeriod(int counterCacheSavePeriod)

    - #### getCounterCacheKeysToSave

          public static int getCounterCacheKeysToSave()

    - #### setCounterCacheKeysToSave

          public static void setCounterCacheKeysToSave(int counterCacheKeysToSave)

    - #### getoffHeapMemoryAllocator

          public static IAllocator getoffHeapMemoryAllocator()

    - #### setRowCacheKeysToSave

          public static void setRowCacheKeysToSave(int rowCacheKeysToSave)

    - #### getStreamingSocketTimeout

          public static int getStreamingSocketTimeout()

    - #### getLocalDataCenter

          public static java.lang.String getLocalDataCenter()

    - #### getLocalComparator

          public static java.util.Comparator<java.net.InetAddress> getLocalComparator()

    - #### internodeCompression

          public static Config.InternodeCompression internodeCompression()

    - #### getInterDCTcpNoDelay

          public static boolean getInterDCTcpNoDelay()

    - #### getMemtableAllocatorPool

          public static MemtablePool getMemtableAllocatorPool()

    - #### getIndexSummaryResizeIntervalInMinutes

          public static int getIndexSummaryResizeIntervalInMinutes()

    - #### hasLargeAddressSpace

          public static boolean hasLargeAddressSpace()

Copyright © 2014 The Apache Software Foundation